declare class Events {
    private $events;
    constructor();
    static _removeOn(string: string): string;
    addEvent(typeName: string, fn?: any, internal?: boolean): Events;
    fireEvent(typeName: string, eventArgs?: any, delay?: boolean): Events;
    removeEvent(typeName: string, fn?: any): Events;
}
export default Events;
